{
  "name": "digitalconsumer.iss",
  "version": "0.1.0",
  "private": true,
  "eslintConfig": {
    "env": {
      "browser": true,
      "es2023": true
    }
  },
  "scripts": {
    "serve": "vue-cli-service serve",
    "build": "vue-cli-service build",
    "test:unit": "vue-cli-service test:unit --coverage --ci --colors",
    "test:unit:coverage": "vue-cli-service test:unit --coverage --ci --colors",
    "test:unit:lite": "vue-cli-service test:unit --ci",
    "test:playwright": "playwright test --config=playwright-tests/playwright.config.ts",
    "lint": "eslint .",
    "lint:fix": "eslint --fix .",
    "lint:inspect": "eslint --inspect-config"
  },
  "dependencies": {
    "@adyen/adyen-web": "^6.31.1",
    "axios": "^1.13.5",
    "axios-retry": "^3.5.0",
    "bootstrap": "^5.3",
    "iframe-resizer": "^4.3.9",
    "maska": "^2.1.1",
    "pinia": "^2.1.4",
    "pinia-plugin-persistedstate": "^2.2.0",
    "uuid": "^9.0.1",
    "vee-validate": "^4.5.7",
    "vue": "^3.3.4",
    "vue-plugin-load-script": "^2.1.0",
    "vue-router": "4.2.4"
  },
  "devDependencies": {
    "@eslint/js": "^9.39.2",
    "@faker-js/faker": "^9.0.3",
    "@pinia/testing": "0.1.2",
    "@playwright/test": "^1.56.1",
    "@rushstack/eslint-patch": "^1.3.2",
    "@saucelabs/playwright-reporter": "^1.5.0",
    "@stylistic/eslint-plugin": "^5.6.1",
    "@testing-library/jest-dom": "5.16.5",
    "@testing-library/user-event": "14.4.3",
    "@testing-library/vue": "6.6.1",
    "@types/dotenv-safe": "^8.1.6",
    "@types/form-data": "^2.2.1",
    "@types/node": "^22.7.5",
    "@vitejs/plugin-vue": "5.2.1",
    "@vitest/coverage-v8": "^3.2.4",
    "@vue/cli-plugin-babel": "^5.0.8",
    "@vue/cli-plugin-router": "~5.0.0",
    "@vue/cli-plugin-unit-jest": "~5.0.0",
    "@vue/cli-service": "~5.0.0",
    "@vue/eslint-config-prettier": "^10.2.0",
    "@vue/eslint-config-typescript": "^14.6.0",
    "@vue/test-utils": "^2.4.1",
    "@vue/vue3-jest": "^27.0.0-alpha.1",
    "axe-core": "^4.10.2",
    "axios": "^1.13.5",
    "axios-mock-adapter": "^1.21.5",
    "babel-jest": "^27.0.6",
    "concurrently": "^9.1.2",
    "dotenv-safe": "^9.1.0",
    "eslint": "^9.39.2",
    "eslint-plugin-import": "^2.32.0",
    "eslint-plugin-jsdoc": "^61.5.0",
    "eslint-plugin-vue": "^10.6.2",
    "form-data": "^4.0.4",
    "globals": "^17.0.0",
    "jest": "^27.0.5",
    "jest-junit": "^13.0.0",
    "jest-serializer-vue": "^3.1.0",
    "jsdoc": "^4.0.2",
    "jsdom": "^22.1.0",
    "luxon": "^3.5.0",
    "ortoni-report": "^2.0.8",
    "prettier": "^3.7.4",
    "sass": "^1.77.8",
    "sass-loader": "^12.0.0",
    "saucectl": "^0.188.0",
    "typescript-eslint": "^8.11.0",
    "vite": "^6.4.1",
    "vitest": "^3.2.4",
    "vue-eslint-parser": "^10.2.0",
    "wait-on": "^8.0.2"
  }
}
